import java.awt.*;
import javax.swing.*;
import gui.JMouseWheelFrame;

public class WheelyGood {
	
	public WheelyGood() {
		// CHANGE ..get Frame from MouseWheelFrame factory instead of extending base class
		JFrame f = new JFrame();
		f.setVisible(true);
		JDialog dialog = gui.JDialogFactory.createDialog();

		// ..rest of code is setting up the gui for the demo, can safely be ignored
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setPreferredSize(new Dimension(450, 500));
		dialog.getContentPane().add(scrollPane, BorderLayout.CENTER);
		String line, text="";
		
		// read a known source file to populate demo
		try  {
			java.io.BufferedReader in = new java.io.BufferedReader(new java.io.InputStreamReader(getClass().getResourceAsStream("/gui/JMouseWheelFrame.java")));
			while ((line = in.readLine()) != null) {
				text+=line+"\r\n";
			}
			in.close();
		} catch (Exception e) {
		}	   	
		JTextArea textArea = new JTextArea(text);
		scrollPane.getViewport().add(textArea, null);
		
		dialog.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			}
		});
		
		dialog.setTitle("Java mice can do it with wheels..");
		dialog.pack();
		dialog.setVisible(true);
	}

	public static void main(String[] args) {
		WheelyGood wheelyGood = new WheelyGood();
	}
}
