import java.awt.*;
import javax.swing.*;
import gui.JMouseWheelFrame;

public class WheelyGood extends JMouseWheelFrame {		// instead of JFrame - that's all!
	JScrollPane scrollPane = new JScrollPane();
	JTextArea textArea;

	public WheelyGood() {
		// rest of this is setting up the gui for the demo, can safely be ignored
		super("Java mice can do it with wheels..");
		scrollPane.setPreferredSize(new Dimension(450, 500));
		this.getContentPane().add(scrollPane, BorderLayout.CENTER);
		String line, text="";
		// read a known source file to populate demo
		try  {
			java.io.BufferedReader in = new java.io.BufferedReader(new java.io.InputStreamReader(getClass().getResourceAsStream("/gui/JMouseWheelFrame.java")));
			while ((line = in.readLine()) != null) {
				text+=line+"\r\n";
			}
			in.close();
		} catch (Exception e) {
		}	   	
		textArea = new JTextArea(text);
		scrollPane.getViewport().add(textArea, null);
		
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				System.exit(0);
			}
		});	
	}

	public static void main(String[] args) {
		WheelyGood wheelyGood = new WheelyGood();
		
		wheelyGood.pack();
		wheelyGood.setVisible(true);
	}
}

